## org.hibernate.context
Class TenantIdentifierMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.context.TenantIdentifierMismatchException

All Implemented Interfaces:
  Serializable

    public class TenantIdentifierMismatchException

extends HibernateException

Indicates that tenant identifiers did not match in cases where `CurrentTenantIdentifierResolver.validateExistingCurrentSessions()` returns `true` and there is a mismatch found.

See Also:
  Serialized Form

Constructor Summary
`TenantIdentifierMismatchException(String message)`
`TenantIdentifierMismatchException(String message, Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TenantIdentifierMismatchException

    public TenantIdentifierMismatchException(String message)

### TenantIdentifierMismatchException

    public TenantIdentifierMismatchException(String message,
                                             Throwable root)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.